Edushade Docs
Quiz_attempts

U: Answer question

PUT
/user/quizzes/{quiz_id}/attempts/{attempt_id}/answers/{question_id}
AuthorizationBearer <token>

In: header

Path Parameters

quiz_idstring

Quiz ID

Defaultnull
Formatuuid
attempt_idstring

Attempt ID

Defaultnull
Formatuuid
question_idstring

Question ID

Defaultnull
Formatuuid
answer_dataobject
answer_textstring
Default"My answer to the question"
selected_option_idsarray<string>
time_spentinteger
Default120
uploaded_file_urlsarray<string>

Response Body

curl -X PUT "https://edushade.com/api/v1/user/quizzes/{quiz_id}/attempts/{attempt_id}/answers/{question_id}" \
  -H "Content-Type: application/json" \
  -d '{
    "answer_data": {
      "additional_info": "Some additional data"
    },
    "answer_text": "My answer to the question",
    "selected_option_ids": [
      "string"
    ],
    "time_spent": 120,
    "uploaded_file_urls": [
      "http://example.com"
    ]
  }'
{}
Empty
Empty
Empty